Subject: Re: bug#13402: 24.2.92 pretest: bugs in isearch-yank-line in info page. [Patch]

From: Juri Linkov <[email-masked]>
Date: Thu, 21 Feb 2013 19:48:04 +0200

>> Can we install this into the emacs-24 branch?  It satisfies Glenn's
>> criterion of a week ago, "...and you are sure the fix is safe".
>
> If you and Juri both agree on that, OK.

So I installed into the emacs-24 branch.  I had to add more comments
because in `isearch-lazy-highlight-start' there is a similar assignment
of `point' to `isearch-lazy-highlight-start' that shouldn't be changed,
because it's used for other purposes.  I've explained the difference in
the comments.  Also the 1-line change in replace.el like in Alan's patch
was still necessary.  The change in ispell.el is not necessary but I added
the let-bindings like in other places that use lazy-highlighting
as a precaution against potential problems.